VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ICommandMenuItemTarget Class Referenceabstract
Version 4.7

Command menu item target. More...

Inheritance diagram for ICommandMenuItemTarget:

## Public Member Functions
virtual bool | validateCommandMenuItem (CCommandMenuItem *item)=0
| called before the item is shown to validate its state
virtual bool | onCommandMenuItemSelected (CCommandMenuItem *item)=0
| called when the item was selected
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Detailed Description

Command menu item target.

## Member Function Documentation

virtual bool onCommandMenuItemSelected | ( | CCommandMenuItem * | item | ) |
| pure virtual

called when the item was selected

Implemented in VST3Editor, and CommandMenuItemTargetAdapter.

virtual bool validateCommandMenuItem | ( | CCommandMenuItem * | item | ) |
| pure virtual

called before the item is shown to validate its state

Implemented in VST3Editor, and CommandMenuItemTargetAdapter.

The documentation for this class was generated from the following file:

- icommandmenuitemtarget.h